For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DiscordGet API Key
  • Getting Started
    • Overview
    • Quickstart
    • Errors
    • Pricing
  • Chat
    • Overview
    • Chat with Image, Video, and Audio
    • Function Calling
    • Models
  • Vision
    • Overview
    • Rate Limits
    • Pricing
    • MCP Server
    • Video Management
    • Video Group Management
    • Video Search
    • Video QA
    • Clip Generation
    • Metadata Tagging
    • Image Management
    • Image Search
        • GETList available inference models
        • GETList inference requests
        • GETGet inference result
        • GETGet inference status
        • POSTCancel inference request
        • POSTOpenAI-compatible chat completion (Qwen)
        • POSTSubmit image-to-video with Kling v3 Pro
        • POSTSubmit image-to-video with Veo 3.1
        • POSTSubmit image-to-video with Sora 2 Pro
        • POSTSubmit Image To Video
        • POSTSubmit text-to-image with Nano Banana
        • POSTSubmit Text To Image
        • POSTSubmit Edit
        • POSTSubmit Text To Video
        • POSTSubmit Text To Speech
        • POSTSubmit Image To Bbox
  • Research
    • Overview
    • Streaming
    • Reasoning Steps
    • Web Search
    • Structured Output
    • Parallel Thinking
    • Best Practices
    • Errors
    • Examples
  • Speech
    • Overview
    • Audio Transcription
    • Speech Translation
    • Speech-to-Speech Translation
  • Resources
    • FAQs
    • Changelog
    • System Status
LogoLogo
DiscordGet API Key
VisionAPI ReferenceInference

List inference requests

GET
https://vision-agent.api.reka.ai/v2/inference/requests
GET
/v2/inference/requests
$curl https://vision-agent.api.reka.ai/v2/inference/requests \
> -H "X-Api-Key: <apiKey>"
200Retrieved
1{
2 "items": [
3 {
4 "request_id": "string",
5 "status": "IN_QUEUE",
6 "endpoint_id": "string",
7 "model_id": "string",
8 "capability": "string",
9 "created_at": "2024-01-15T09:30:00Z",
10 "started_at": "2024-01-15T09:30:00Z",
11 "completed_at": "2024-01-15T09:30:00Z",
12 "input": {},
13 "output": {
14 "video_url": "string",
15 "video_url_expires_at": "2024-01-15T09:30:00Z",
16 "duration_seconds": 1.1,
17 "width": 1,
18 "height": 1
19 },
20 "error": {}
21 }
22 ],
23 "next_offset": 1,
24 "has_more": false
25}
Was this page helpful?
Previous

Get inference result

Next
Built with

Authentication

X-Api-Keystring

API key authentication via X-Api-Key header

OR
AuthorizationBearer
Bearer token authentication via Authorization header

Query parameters

endpoint_idstring or nullOptional

Exact-match endpoint filter, e.g. kling-v3-pro/image-to-video.

capabilitystring or nullOptional

Filter by capability segment (e.g. text-to-image).

model_idstring or nullOptional

Filter by model segment (e.g. kling-v3-pro).

statusenum or nullOptional
Filter by lifecycle status.
Allowed values:
startdatetime or nullOptional

Inclusive lower bound on created_at (ISO 8601).

enddatetime or nullOptional

Exclusive upper bound on created_at (ISO 8601).

expandlist of strings or nullOptional

Optional response expansions. Pass payloads to include the input and output payloads on each item (omitted by default to keep list responses light).

limitintegerOptional1-100Defaults to 25
offsetintegerOptional>=0Defaults to 0

Response

Successful Response
itemslist of objects
next_offsetinteger or null
has_morebooleanDefaults to false